version: 3

services:
  php-fpm:
    build:
      context: "./sbin/docker"
      dockerfile: Dockerfile
    volumes:
      - "./web:/var/www/html"
  web:
    image: docker.io/caddy:latest
    volumes:
      - "./web:/var/www/html"
      - "./sbin/docker/Caddyfile:/etc/caddy/Caddyfile:ro"
    ports:
      - "80:80"
      - "443:443"
    depends_on:
      - php-fpm

